[FFe] New package qtcreator-plugin-remotelinux

Bug #1302619 reported by Benjamin Zeller
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
New
Undecided
Unassigned

Bug Description

FFe for splitting the remotelinux plugin and its dependencies into new packages.
Also introduces a new abstract interface to allow derivation for plugins depending on the remotelinux plugin.

The new packages are developed at: lp:qtcreator-plugin-remotelinux and are a requirement
for the Ubuntu-SDK qtcreator-plugin which will improve the UX drastically for cmake based UbuntuSDK
projects.

This change needs to be landed together with the required changes to:
- qtcreator-plugin-cmake (lp:~zeller-benjamin/qtcreator-plugin-cmake/remotelinuxdeps)
- qtcreator (lp:~zeller-benjamin/kubuntu-packaging/qtcreator)

Buildlog available from here: https://launchpad.net/~ubuntu-sdk-team/+archive/tools-development/+build/5868172/+files/buildlog_ubuntu-trusty-i386.qtcreator-plugin-remotelinux_3.0.1-0ubuntu2_UPLOADING.txt.gz

The packages are already available from the ppa:
https://launchpad.net/~ubuntu-sdk-team/+archive/tools-development/+packages

The source package:
https://launchpad.net/~ubuntu-sdk-team/+archive/tools-development/+files/qtcreator-plugin-remotelinux_3.0.1-0ubuntu2.tar.gz

Related branches

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers